Skip to main content
`Ctrl`+`K`
scipy.spatial.Delaunay.

# find_simplex

Delaunay.find_simplex(self, xi, bruteforce=False, tol=None)

  Find the simplices containing the given points.

  Parameters:
    xi ndarray of double, shape (…, ndim)

      Points to locate

    bruteforce bool, optional

      Whether to only perform a brute-force search

    tol float, optional

      Tolerance allowed in the inside-triangle check. Default is `100*eps`.

  Returns:
    i ndarray of int, same shape as xi

      Indices of simplices containing each point. Points outside the triangulation get the value -1.

  Notes

  This uses an algorithm adapted from Qhull’s `qh_findbestfacet`, which makes use of the connection between a convex hull and a Delaunay triangulation. After finding the simplex closest to the point in N+1 dimensions, the algorithm falls back to directed search in N dimensions.